math::TBinaryNodeOp< typename > Class Template Reference

`#include <nodes.h>`

Inheritance diagram for math::TBinaryNodeOp< typename >:
[legend]
Collaboration diagram for math::TBinaryNodeOp< typename >:
[legend]

## Public Member Functions

virtual TNode< T > * | left () const
| returns the right child node of the expression tree
virtual TNode< T > * | right () const
| returns the left child node of the expression tree
virtual bool | equals (const TNode< T > *ANode) const
| returns true, if given node equals to this one
Public Member Functions inherited from math::TNode< T >
TNode< T > * | parent () const
| returns the parent node (returns 0 if this node is the root node)
virtual | ~TNode ()
| each virtual class needs a virtual destructor (this one does nothing)
TNodeType | nodeType () const
| returns the type of this node
short | priority () const
| returns the node priority
virtual void | accept (TNodeVisitor< T > &)=0
| calls the visit method in TNodeVisitor<>
virtual TNode< T > * | clone () const =0
| clones that node
iterator | begin ()
| iterator access to the first value node in this operator level
iterator | end ()
| iterator access to the end

## Protected Member Functions

| TBinaryNodeOp (typename TBinaryNodeOp< T >::TNodeType AType, short APrio, TNode< T > *ALeft, TNode< T > *ARight)
| creates an binary operator node of type AType
Protected Member Functions inherited from math::TNode< T >
| TNode (TNodeType ANodeType, short APriority, TNode< T > *AParentNode=0)
| initializes this node for given node type.
| TNode (const TNode< T > &n)
void | parent (TNode< T > *AParent)
| initializes the parent node with the given one

## Additional Inherited Members

Public Types inherited from math::TNode< T >
enum | TNodeType
typedef TNodeIterator< T > | iterator
typedef const TNodeIterator< T > | const_iterator
typedef TOperandIter< TNode< T > > | operand_iterator
typedef TOperandIter< const TNode< T > > | const_operand_iterator

## Detailed Description

### template<typename>
class math::TBinaryNodeOp< typename >

TBinaryNodeOp<T> represents the base class for any binary operation node in the expression tree.

Definition at line 49 of file nodes.h.

The documentation for this class was generated from the following file:

- nodes.h